import type { AnonCredsCredentialOffer, AnonCredsCredentialRequest, AnonCredsProofRequest } from '@aries-framework/anoncreds';
/**
 * Assert that a credential definition id is unqualified.
 */
export declare function assertUnqualifiedCredentialDefinitionId(credentialDefinitionId: string): void;
/**
 * Assert that a schema id is unqualified.
 */
export declare function assertUnqualifiedSchemaId(schemaId: string): void;
/**
 * Assert that a revocation registry id is unqualified.
 */
export declare function assertUnqualifiedRevocationRegistryId(revocationRegistryId: string): void;
/**
 * Assert that an issuer id is unqualified.
 */
export declare function assertUnqualifiedIssuerId(issuerId: string): void;
/**
 * Assert that a credential offer only contains unqualified identifiers.
 */
export declare function assertUnqualifiedCredentialOffer(credentialOffer: AnonCredsCredentialOffer): void;
/**
 * Assert that a credential request only contains unqualified identifiers.
 */
export declare function assertUnqualifiedCredentialRequest(credentialRequest: AnonCredsCredentialRequest): void;
/**
 * Assert that a proof request only contains unqualified identifiers.
 */
export declare function assertUnqualifiedProofRequest(proofRequest: AnonCredsProofRequest): void;
export declare function assertAllUnqualified({ schemaIds, credentialDefinitionIds, revocationRegistryIds, issuerIds, }: {
    schemaIds?: Array<string | undefined>;
    credentialDefinitionIds?: Array<string | undefined>;
    revocationRegistryIds?: Array<string | undefined>;
    issuerIds?: Array<string | undefined>;
}): void;
